Index: squid/include/version.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/version.h,v
retrieving revision 1.1.1.3.4.4.2.4
retrieving revision 1.1.1.3.4.4.2.4.2.1
diff -u -r1.1.1.3.4.4.2.4 -r1.1.1.3.4.4.2.4.2.1
--- squid/include/version.h	29 Jul 2001 09:10:27 -0000	1.1.1.3.4.4.2.4
+++ squid/include/version.h	27 Aug 2001 21:48:17 -0000	1.1.1.3.4.4.2.4.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: version.h,v 1.1.1.3.4.4.2.4 2001/07/29 09:10:27 serassio Exp $
+ * $Id: version.h,v 1.1.1.3.4.4.2.4.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  *  SQUID_VERSION - String for version id of this distribution
  */
@@ -8,5 +8,5 @@
 #endif
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 996091670
+#define SQUID_RELEASE_TIME 997316167
 #endif
Index: squid/lib/Array.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Array.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/lib/Array.c	6 Jan 2001 12:40:10 -0000	1.1.1.2.4.1.2.1
+++ squid/lib/Array.c	27 Aug 2001 21:48:17 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: Array.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -55,7 +55,7 @@
 Array *
 arrayCreate()
 {
-    Array *a =(Array *) xmalloc(sizeof(Array));
+    Array *a = (Array *) xmalloc(sizeof(Array));
     arrayInit(a);
     return a;
 }
@@ -118,8 +118,8 @@
     assert(delta > 0);
     a->capacity += delta;
     a->items = a->items ?
-	(void**)xrealloc(a->items, a->capacity * sizeof(void *)) :
-         (void**)xmalloc(a->capacity * sizeof(void *));
+	(void **) xrealloc(a->items, a->capacity * sizeof(void *)) :
+	(void **) xmalloc(a->capacity * sizeof(void *));
     /* reset, just in case */
     memset(a->items + a->count, 0, (a->capacity - a->count) * sizeof(void *));
 }
Index: squid/lib/GNUregex.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/GNUregex.c,v
retrieving revision 1.1.1.1.42.1
retrieving revision 1.1.1.1.42.1.2.1
diff -u -r1.1.1.1.42.1 -r1.1.1.1.42.1.2.1
--- squid/lib/GNUregex.c	6 Jan 2001 12:40:10 -0000	1.1.1.1.42.1
+++ squid/lib/GNUregex.c	27 Aug 2001 21:48:17 -0000	1.1.1.1.42.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: GNUregex.c,v 1.1.1.1.42.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: GNUregex.c,v 1.1.1.1.42.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 /* Extended regular expression matching and search library,
@@ -242,7 +242,8 @@
  * So regex.h defines a symbol `RE_EXACTN_VALUE' to be 1; the value of
  * `exactn' we use here must also be 1.  */
 
-typedef enum {
+typedef enum
+{
     no_op = 0,
 
     /* Followed by one byte giving n, then by n literal bytes.  */
@@ -357,9 +358,8 @@
 
     wordbound,			/* Succeeds if at a word boundary.  */
     notwordbound		/* Succeeds if not at a word boundary.  */
-
 #ifdef emacs
-    ,before_dot,		/* Succeeds if before point.  */
+	, before_dot,		/* Succeeds if before point.  */
     at_dot,			/* Succeeds if at point.  */
     after_dot,			/* Succeeds if after point.  */
 
@@ -370,7 +370,8 @@
     /* Matches any character whose syntax is not that specified.  */
     notsyntaxspec
 #endif				/* emacs */
-} re_opcode_t;
+}
+re_opcode_t;
 
 /* Common operations on the compiled pattern.  */
 
@@ -786,7 +787,7 @@
 
 reg_syntax_t
 re_set_syntax(syntax)
-     reg_syntax_t syntax;
+reg_syntax_t syntax;
 {
     reg_syntax_t ret = re_syntax_options;
 
@@ -797,8 +798,7 @@
 /* This table gives an error message for each of the error codes listed
  * in regex.h.  Obviously the order here has to be same as there.  */
 
-static const char *re_error_msg[] =
-{NULL,				/* REG_NOERROR */
+static const char *re_error_msg[] = { NULL,	/* REG_NOERROR */
     "No match",			/* REG_NOMATCH */
     "Invalid regular expression",	/* REG_BADPAT */
     "Invalid collation character",	/* REG_ECOLLATE */
@@ -960,20 +960,24 @@
  * be able to hold values from -(MAX_BUF_SIZE - 1) to MAX_BUF_SIZE - 1.  */
 typedef int pattern_offset_t;
 
-typedef struct {
+typedef struct
+{
     pattern_offset_t begalt_offset;
     pattern_offset_t fixup_alt_jump;
     pattern_offset_t inner_group_offset;
     pattern_offset_t laststart_offset;
     regnum_t regnum;
-} compile_stack_elt_t;
+}
+compile_stack_elt_t;
 
 
-typedef struct {
+typedef struct
+{
     compile_stack_elt_t *stack;
     unsigned size;
     unsigned avail;		/* Offset of next open position.  */
-} compile_stack_type;
+}
+compile_stack_type;
 
 
 #define INIT_COMPILE_STACK_SIZE 32
@@ -1153,9 +1157,9 @@
 	    {
 		if (		/* If at start of pattern, it's an operator.  */
 		    p == pattern + 1
-		/* If context independent, it's an operator.  */
+		    /* If context independent, it's an operator.  */
 		    || syntax & RE_CONTEXT_INDEP_ANCHORS
-		/* Otherwise, depends on what's come before.  */
+		    /* Otherwise, depends on what's come before.  */
 		    || at_begline_loc_p(pattern, p, syntax))
 		    BUF_PUSH(begline);
 		else
@@ -1168,9 +1172,9 @@
 	    {
 		if (		/* If at end of pattern, it's an operator.  */
 		    p == pend
-		/* If context independent, it's an operator.  */
+		    /* If context independent, it's an operator.  */
 		    || syntax & RE_CONTEXT_INDEP_ANCHORS
-		/* Otherwise, depends on what's next.  */
+		    /* Otherwise, depends on what's next.  */
 		    || at_endline_loc_p(p, pend, syntax))
 		    BUF_PUSH(endline);
 		else
@@ -1214,7 +1218,8 @@
 		    PATFETCH(c);
 
 		    if (c == '*'
-			|| (!(syntax & RE_BK_PLUS_QM) && (c == '+' || c == '?')));
+			|| (!(syntax & RE_BK_PLUS_QM) && (c == '+'
+		       || c == '?')));
 
 		    else if (syntax & RE_BK_PLUS_QM && c == '\\') {
 			if (p == pend)
@@ -1279,8 +1284,7 @@
 		 * end of the buffer after this jump is inserted.  */
 		GET_BUFFER_SPACE(3);
 		INSERT_JUMP(keep_string_p ? on_failure_keep_string_jump
-		    : on_failure_jump,
-		    laststart, b + 3);
+		    : on_failure_jump, laststart, b + 3);
 		pending_exact = 0;
 		b += 3;
 
@@ -1334,8 +1338,7 @@
 
 		/* charset_not matches newline according to a syntax bit.  */
 		if ((re_opcode_t) b[-2] == charset_not
-		    && (syntax & RE_HAT_LISTS_NOT_NEWLINE))
-		    SET_LIST_BIT('\n');
+		    && (syntax & RE_HAT_LISTS_NOT_NEWLINE)) SET_LIST_BIT('\n');
 
 		/* Read in characters and ranges, setting map bits.  */
 		for (;;) {
@@ -1368,12 +1371,11 @@
 		     * was a character: if this is a hyphen not at the
 		     * beginning or the end of a list, then it's the range
 		     * operator.  */
-		    if (c == '-'
-			&& !(p - 2 >= pattern && p[-2] == '[')
+		    if (c == '-' && !(p - 2 >= pattern && p[-2] == '[')
 			&& !(p - 3 >= pattern && p[-3] == '[' && p[-2] == '^')
 			&& *p != ']') {
 			reg_errcode_t ret
-			= compile_range(&p, pend, translate, syntax, b);
+			    = compile_range(&p, pend, translate, syntax, b);
 			if (ret != REG_NOERROR)
 			    return ret;
 		    } else if (p[0] == '-' && p[1] != ']') {	/* This handles ranges made up of characters only.  */
@@ -1402,8 +1404,7 @@
 			for (;;) {
 			    PATFETCH(c);
 			    if (c == ':' || c == ']' || p == pend
-				|| c1 == CHAR_CLASS_MAX_LENGTH)
-				break;
+				|| c1 == CHAR_CLASS_MAX_LENGTH) break;
 			    str[c1++] = c;
 			}
 			str[c1] = '\0';
@@ -1611,7 +1612,8 @@
 			= COMPILE_STACK_TOP.fixup_alt_jump
 			? bufp->buffer + COMPILE_STACK_TOP.fixup_alt_jump - 1
 			: 0;
-		    laststart = bufp->buffer + COMPILE_STACK_TOP.laststart_offset;
+		    laststart =
+			bufp->buffer + COMPILE_STACK_TOP.laststart_offset;
 		    this_group_regnum = COMPILE_STACK_TOP.regnum;
 		    /* If we've reached MAX_REGNUM groups, then this open
 		     * won't actually generate any code, so we'll have to
@@ -1622,7 +1624,8 @@
 		     * groups were inside this one.  */
 		    if (this_group_regnum <= MAX_REGNUM) {
 			unsigned char *inner_group_loc
-			= bufp->buffer + COMPILE_STACK_TOP.inner_group_offset;
+			    =
+			    bufp->buffer + COMPILE_STACK_TOP.inner_group_offset;
 
 			*inner_group_loc = regnum - this_group_regnum;
 			BUF_PUSH_3(stop_memory, this_group_regnum,
@@ -1680,8 +1683,8 @@
 	    case '{':
 		/* If \{ is a literal.  */
 		if (!(syntax & RE_INTERVALS)
-		/* If we're at `\{' and it's not the open-interval 
-		 * operator.  */
+		    /* If we're at `\{' and it's not the open-interval 
+		     * operator.  */
 		    || ((syntax & RE_INTERVALS) && (syntax & RE_NO_BK_BRACES))
 		    || (p - 2 == pattern && p == pend))
 		    goto normal_backslash;
@@ -1770,8 +1773,7 @@
 			 * because `re_compile_fastmap' needs to know.
 			 * Jump to the `jump_n' we might insert below.  */
 			INSERT_JUMP2(succeed_n, laststart,
-			    b + 5 + (upper_bound > 1) * 5,
-			    lower_bound);
+			    b + 5 + (upper_bound > 1) * 5, lower_bound);
 			b += 5;
 
 			/* Code to initialize the lower bound.  Insert 
@@ -1937,22 +1939,17 @@
 	  normal_char:
 	    /* If no exactn currently being built.  */
 	    if (!pending_exact
-
-	    /* If last exactn not at current position.  */
+		/* If last exactn not at current position.  */
 		|| pending_exact + *pending_exact + 1 != b
-
-	    /* We have only one byte following the exactn for the count.  */
+		/* We have only one byte following the exactn for the count.  */
 		|| *pending_exact == (1 << BYTEWIDTH) - 1
-
-	    /* If followed by a repetition operator.  */
-		|| *p == '*' || *p == '^'
-		|| ((syntax & RE_BK_PLUS_QM)
+		/* If followed by a repetition operator.  */
+		|| *p == '*' || *p == '^' || ((syntax & RE_BK_PLUS_QM)
 		    ? *p == '\\' && (p[1] == '+' || p[1] == '?')
 		    : (*p == '+' || *p == '?'))
 		|| ((syntax & RE_INTERVALS)
 		    && ((syntax & RE_NO_BK_BRACES)
-			? *p == '{'
-			: (p[0] == '\\' && p[1] == '{')))) {
+			? *p == '{' : (p[0] == '\\' && p[1] == '{')))) {
 		/* Start building a new exactn.  */
 
 		laststart = b;
@@ -2071,9 +2068,9 @@
     boolean prev_prev_backslash = prev > pattern && prev[-1] == '\\';
 
     return
-    /* After a subexpression?  */
+	/* After a subexpression?  */
 	(*prev == '(' && (syntax & RE_NO_BK_PARENS || prev_prev_backslash))
-    /* After an alternative?  */
+	/* After an alternative?  */
 	|| (*prev == '|' && (syntax & RE_NO_BK_VBAR || prev_prev_backslash));
 }
 
@@ -2091,10 +2088,10 @@
     const char *next_next = p + 1 < pend ? p + 1 : NULL;
 
     return
-    /* Before a subexpression?  */
+	/* Before a subexpression?  */
 	(syntax & RE_NO_BK_PARENS ? *next == ')'
 	: next_backslash && next_next && *next_next == ')')
-    /* Before an alternative?  */
+	/* Before an alternative?  */
 	|| (syntax & RE_NO_BK_VBAR ? *next == '|'
 	: next_backslash && next_next && *next_next == '|');
 }
@@ -2111,8 +2108,7 @@
     int this_element;
 
     for (this_element = compile_stack.avail - 1;
-	this_element >= 0;
-	this_element--)
+	this_element >= 0; this_element--)
 	if (compile_stack.stack[this_element].regnum == regnum)
 	    return true;
 
@@ -2195,11 +2191,13 @@
 
 typedef const unsigned char *fail_stack_elt_t;
 
-typedef struct {
+typedef struct
+{
     fail_stack_elt_t *stack;
     unsigned size;
     unsigned avail;		/* Offset of next open position.  */
-} fail_stack_type;
+}
+fail_stack_type;
 
 #define FAIL_STACK_EMPTY()     (fail_stack.avail == 0)
 #define FAIL_STACK_PTR_EMPTY() (fail_stack_ptr->avail == 0)
@@ -2491,7 +2489,7 @@
     assert(fastmap != NULL && p != NULL);
 
     INIT_FAIL_STACK();
-    memset(fastmap, 0, 1 << BYTEWIDTH);		/* Assume nothing's valid.  */
+    memset(fastmap, 0, 1 << BYTEWIDTH);	/* Assume nothing's valid.  */
     bufp->fastmap_accurate = 1;	/* It will be when we're done.  */
     bufp->can_be_null = 0;
 
@@ -2640,8 +2638,7 @@
 	     * ordinary jump.  For a * loop, it has pushed its failure
 	     * point already; if so, discard that as redundant.  */
 	    if ((re_opcode_t) * p != on_failure_jump
-		&& (re_opcode_t) * p != succeed_n)
-		continue;
+		&& (re_opcode_t) * p != succeed_n) continue;
 
 	    p++;
 	    EXTRACT_NUMBER_AND_INCR(j, p);
@@ -2855,8 +2852,7 @@
 		/* Written out as an if-else to avoid testing `translate'
 		 * inside the loop.  */
 		if (translate)
-		    while (range > lim
-			&& !fastmap[(unsigned char)
+		    while (range > lim && !fastmap[(unsigned char)
 			    translate[(unsigned char) *d++]])
 			range--;
 		else
@@ -2875,8 +2871,7 @@
 	}
 	/* If can't match the null string, and that's all we have left, fail.  */
 	if (range >= 0 && startpos == total_size && fastmap
-	    && !bufp->can_be_null)
-	    return -1;
+	    && !bufp->can_be_null) return -1;
 
 	val = re_match_2(bufp, string1, size1, string2, size2,
 	    startpos, regs, stop);
@@ -2904,7 +2899,7 @@
 
 static int bcmp_translate();
 static boolean alt_match_null_string_p(), common_op_match_null_string_p(),
-        group_match_null_string_p();
+group_match_null_string_p();
 
 /* Structure for per-register (a.k.a. per-group) information.
  * This must not be longer than one word, because we push this value
@@ -2917,9 +2912,11 @@
  * the compiler will pack our bit fields into something that fits into
  * the type of `word', i.e., is something that fits into one item on the
  * failure stack.  */
-typedef union {
+typedef union
+{
     fail_stack_elt_t word;
-    struct {
+    struct
+    {
 	/* This field is one if this group can match the empty string,
 	 * zero if not.  If not yet determined,  `MATCH_NULL_UNSET_VALUE'.  */
 #define MATCH_NULL_UNSET_VALUE 3
@@ -2927,8 +2924,10 @@
 	unsigned is_active:1;
 	unsigned matched_something:1;
 	unsigned ever_matched_something:1;
-    } bits;
-} register_info_type;
+    }
+    bits;
+}
+register_info_type;
 
 #define REG_MATCH_NULL_STRING_P(R)  ((R).bits.match_null_string_p)
 #define IS_ACTIVE(R)  ((R).bits.is_active)
@@ -3282,8 +3281,7 @@
 			== MATCHING_IN_FIRST_STRING);
 
 		    /* If exceeds best match so far, save it.  */
-		    if (!best_regs_set
-			|| (same_str_p && d > match_end)
+		    if (!best_regs_set || (same_str_p && d > match_end)
 			|| (!same_str_p && !MATCHING_IN_FIRST_STRING)) {
 			best_regs_set = true;
 			match_end = d;
@@ -3322,9 +3320,9 @@
 	    /* If caller wants register contents data back, do it.  */
 	    if (regs && !bufp->no_sub) {
 		/* Have the register data arrays been allocated?  */
-		if (bufp->regs_allocated == REGS_UNALLOCATED) {		/* No.  So allocate them with malloc.  We need one
-									 * extra element beyond `num_regs' for the `-1' marker
-									 * GNU code uses.  */
+		if (bufp->regs_allocated == REGS_UNALLOCATED) {	/* No.  So allocate them with malloc.  We need one
+								 * extra element beyond `num_regs' for the `-1' marker
+								 * GNU code uses.  */
 		    regs->num_regs = MAX(RE_NREGS, num_regs + 1);
 		    regs->start = TALLOC(regs->num_regs, regoff_t);
 		    regs->end = TALLOC(regs->num_regs, regoff_t);
@@ -3378,8 +3376,7 @@
 	    DEBUG_PRINT2("%u registers pushed.\n", num_regs_pushed);
 
 	    mcnt = d - pos - (MATCHING_IN_FIRST_STRING
-		? string1
-		: string2 - size1);
+		? string1 : string2 - size1);
 
 	    DEBUG_PRINT2("Returning %d from re_match_2.\n", mcnt);
 
@@ -3691,8 +3688,7 @@
 
 		    /* Compare that many; failure if mismatch, else move
 		     * past them.  */
-		    if (translate
-			? bcmp_translate(d, d2, mcnt, translate)
+		    if (translate ? bcmp_translate(d, d2, mcnt, translate)
 			: memcmp(d, d2, mcnt))
 			goto fail;
 		    d += mcnt, d2 += mcnt;
@@ -3850,7 +3846,7 @@
 		/* Skip over open/close-group commands.  */
 		while (p2 + 2 < pend
 		    && ((re_opcode_t) * p2 == stop_memory
-			|| (re_opcode_t) * p2 == start_memory))
+       || (re_opcode_t) * p2 == start_memory))
 		    p2 += 3;	/* Skip over args, too.  */
 
 		/* If we're at the end of the pattern, we can change.  */
@@ -3864,7 +3860,7 @@
 		} else if ((re_opcode_t) * p2 == exactn
 		    || (bufp->newline_anchor && (re_opcode_t) * p2 == endline)) {
 		    register unsigned char c
-		    = *p2 == (unsigned char) endline ? '\n' : p2[2];
+			= *p2 == (unsigned char) endline ? '\n' : p2[2];
 		    p1 = p + mcnt;
 
 		    /* p1[0] ... p1[2] are the `on_failure_jump' corresponding
@@ -3981,7 +3977,8 @@
 		STORE_NUMBER_AND_INCR(p, mcnt);
 		DEBUG_PRINT3("  Setting 0x%x to %d.\n", p, mcnt);
 	    } else if (mcnt == 0) {
-		DEBUG_PRINT2("  Setting two bytes from 0x%x to no_op.\n", p + 2);
+		DEBUG_PRINT2("  Setting two bytes from 0x%x to no_op.\n",
+		    p + 2);
 		p[2] = (unsigned char) no_op;
 		p[3] = (unsigned char) no_op;
 		goto on_failure;
@@ -4155,7 +4152,7 @@
 		    if ((is_a_jump_n && (re_opcode_t) * p1 == succeed_n)
 			|| (!is_a_jump_n
 			    && (re_opcode_t) * p1 == on_failure_jump))
-			goto fail;
+			    goto fail;
 		    break;
 		default:
 		    /* do nothing */ ;
@@ -4235,8 +4232,7 @@
 		     * is, including the ending `jump_past_alt' and
 		     * its number.  */
 
-		    if (!alt_match_null_string_p(p1, p1 + mcnt - 3,
-			    reg_info))
+		    if (!alt_match_null_string_p(p1, p1 + mcnt - 3, reg_info))
 			return false;
 
 		    /* Move to right after this alternative, including the
@@ -4562,8 +4558,8 @@
 {
     reg_errcode_t ret;
     unsigned syntax
-    = (cflags & REG_EXTENDED) ?
-    RE_SYNTAX_POSIX_EXTENDED : RE_SYNTAX_POSIX_BASIC;
+	= (cflags & REG_EXTENDED) ?
+	RE_SYNTAX_POSIX_EXTENDED : RE_SYNTAX_POSIX_BASIC;
 
     /* regex_compile will allocate the space for the compiled pattern.  */
     preg->buffer = 0;
@@ -4689,7 +4685,7 @@
      int errcode;
      const regex_t *preg;
      char *errbuf;
-     size_t errbuf_size;
+size_t errbuf_size;
 {
     const char *msg;
     size_t msg_size;
Index: squid/lib/base64.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/base64.c,v
retrieving revision 1.1.1.1.40.1
retrieving revision 1.1.1.1.40.1.2.1
diff -u -r1.1.1.1.40.1 -r1.1.1.1.40.1.2.1
--- squid/lib/base64.c	6 Jan 2001 12:40:10 -0000	1.1.1.1.40.1
+++ squid/lib/base64.c	27 Aug 2001 21:48:17 -0000	1.1.1.1.40.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: base64.c,v 1.1.1.1.40.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: base64.c,v 1.1.1.1.40.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #include "config.h"
@@ -17,7 +17,8 @@
 #define BASE64_VALUE_SZ 256
 #define BASE64_RESULT_SZ 8192
 int base64_value[BASE64_VALUE_SZ];
-const char base64_code[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
+const char base64_code[] =
+    "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
 
 
 static void
